---
title: Spring 核心
date: 2020-02-26 23:47:47
categories:
  - Java
  - 框架
  - Spring
  - Spring核心
tags:
  - Java
  - 框架
  - Spring
  - SpringBoot
permalink: /pages/5e7c20/
hidden: true
index: false
---

# Spring 核心

> 章节主要针对：Spring & Spring Boot 框架的核心技术。如；Spring Bean、IoC、依赖查找、依赖注入、AOP、数据绑定、资源管理等。

## 📖 内容

- [Spring Bean](01.SpringBean.md)
- [Spring IoC](02.SpringIoC.md)
- [Spring 依赖查找](03.Spring依赖查找.md)
- [Spring 依赖注入](04.Spring依赖注入.md)
- [Spring IoC 依赖来源](05.SpringIoC依赖来源.md)
- [Spring Bean 作用域](06.SpringBean作用域.md)
- [Spring Bean 生命周期](07.SpringBean生命周期.md)
- [Spring 配置元数据](08.Spring配置元数据.md)
- [Spring AOP](10.SpringAop.md)
- [Spring 资源管理](20.Spring资源管理.md)
- [Spring 校验](21.Spring校验.md)
- [Spring 数据绑定](22.Spring数据绑定.md)
- [Spring 类型转换](23.Spring类型转换.md)
- [Spring EL 表达式](24.SpringEL.md)
- [Spring 事件](25.Spring事件.md)
- [Spring 国际化](26.Spring国际化.md)
- [Spring 泛型处理](27.Spring泛型处理.md)
- [Spring 注解](28.Spring注解.md)
- [SpringBoot 教程之快速入门](31.SpringBoot之快速入门.md)
- [SpringBoot 之属性加载](32.SpringBoot之属性加载.md)
- [SpringBoot 之 Profile](33.SpringBoot之Profile.md)

## 📚 资料

- **官方**
  - [Spring 官网](https://spring.io/)
  - [Spring Framework 官方文档](https://docs.spring.io/spring-framework/docs/current/spring-framework-reference/index.html)
  - [Spring Github](https://github.com/spring-projects/spring-framework)
- **书籍**
  - [《Spring In Action》](https://item.jd.com/12622829.html)
- **教程**
  - [《小马哥讲 Spring 核心编程思想》](https://time.geekbang.org/course/intro/265)
  - [geekbang-lessons](https://github.com/geektime-geekbang/geekbang-lessons)
  - [跟我学 Spring3](http://jinnianshilongnian.iteye.com/blog/1482071)

## 🚪 传送

◾ 💧 [钝悟的 IT 知识图谱](https://dunwu.github.io/waterdrop/) ◾ 🎯 [我的博客](https://github.com/dunwu/blog) ◾